%==========================================================================
% The function defines the ouptut mapping from state to output for the 
% tractor example
%   Input Parameter: state x, control input u; both are column vectors
%   Output Parameter: output y; is a column vector
%
% AUTHOR: Joerg Fischer, Lukas Klar
% Systems control and optimization laboratory, 
% Department of Microsystems Engineering (IMTEK),
% University of Freiburg
%
% REMARK: function is called from script "traktor_simulate"
%==========================================================================
% output is the second state (y-position of the tractor)
function [xout] = tractor_trailer_out(x, u)
  L2=4; %m
  xout = [x(1); ...
          x(2); ...
          x(1)-L2.*cos(x(4)); ...
          x(2)-L2.*sin(x(4))];
end